Get Accounts
/unified/accounting/accounts/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The type of account to retrieve
accounts_payableaccounts_receivableaccumulated_depreciationadvertising_expenseassetbad_debt_expensebankbank_accountcashcost_of_goods_soldcredit_cardcurrentcurrent_liabilitydepreciationdirect_costsdistribution_to_shareholdersequipmentequityexpensefees_expensefixed_assetgeneral_ledgerincomeinterest_expenseinventoryliabilitylong_term_liabilitymaintenance_expenseother_assetother_current_assetother_current_liabilityother_expensesother_incomeother_liabilitypayg_liabilitypayroll_liabilitypre_paymentrent_expensesalessuper_annuation_expensesuper_annuation_liabilityutilities_expensewages_expense+ 31 more
1 supported1 required
general_ledgerbank_accountThe classification of the account. If no clear mapping exists, then raw value is returned.
assetbankequityexpenseliabilityrevenue
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.debugreturns the final unified result alongside raw remote fetch information. The response is an envelope containingresult(identical to unified mode output) anddebug(withrequestUrl,requestOptions,data,responseHeaders, and for list operations:nextCursor,isLooping,isEmptyResult,resultCount).debugisnullfor static responses or whentruto_skip_api_call=true.
Defaults to unified.
unifiedunifiedrawnormalizedstreamdebug
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for the account
8 supported
The name of the account
8 supported
Represents the bank account number if the account is of type bank account.
7 supported
The classification of the account. If no clear mapping exists, then raw value is returned.
assetequityexpenseliabilityrevenuebank
7 supported
The ID of the company the account belongs to
4 supported
This represents the date when the accounts was created
4 supported
The currency of the account
6 supported
The current balance of the account
4 supported
The description of the account
3 supported
The unique identifier for the specific version of the resource.
The ID of the parent account of the account
4 supported
Raw data returned from the remote API call.
The status of the account. If no clear mapping exists, then raw value is returned.
activearchivedpending
8 supported
The more specific classification of the account
fixed_assetlong_term_liabilityequityexpensebankcurrentcurrent_liabilityother_incomedirect_costsother_expensesincomeother_assetaccounts_receivableaccounts_payablecredit_cardsalespre_paymentliabilityinventorydepreciationwages_expensesuper_annuation_liabilitysuper_annuation_expensepayg_liabilitypayroll_liabilityassetequipmentaccumulated_depreciationdistribution_to_shareholderscashinterest_expenserent_expenseutilities_expensemaintenance_expenseadvertising_expensefees_expensebad_debt_expensecost_of_goods_soldother_liabilityother_current_liabilityother_current_asset+ 29 more
8 supported
This represents the date when the accounts was updated
6 supported
curl -X GET 'https://api.truto.one/unified/accounting/accounts/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/accounting/accounts/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/accounting/accounts/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'accounting',
'accounts',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"accounting",
"accounts",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())